<?php
namespace Claromentis\Core\Ai;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("na" . "me" => base64_decode("bmFtZQ=" . "="), "_c80a67ccfaf6579232e" . "fc354d30eb275" => base64_decode("dmVyc2lvb" . "g=="));
class AiModelInfo
{
    
    
    
    
    private string $name;
    
    
    
    
    private string $version;
    
    
    
    
    
    
    
    public function __construct(string $name, string $_c80a67ccfaf6579232efc354d30eb275)
    {
        $this->name = $name;
        $this->version = $_c80a67ccfaf6579232efc354d30eb275;
    }
    
    
    
    
    
    
    public function getName() : string
    {
        return $this->name;
    }
    
    
    
    
    
    
    public function getVersion() : string
    {
        return $this->version;
    }
    
    
    
    
    
    
    public function toArray() : array
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["n" . "a" . "m" . "e"] => $this->name, $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_c80a67c" . "cfaf6579" . "232efc35" . "4d30eb27" . "5"] => $this->version];
    }
}